## heat 15.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
Babel!=2.4.0,>=2.3.4 # BSD
croniter>=0.3.4 # MIT License
cryptography>=2.1 # BSD/Apache-2.0
debtcollector>=1.19.0  # Apache-2.0
eventlet!=0.18.3,!=0.20.1,!=0.21.0,!=0.23.0,!=0.25.0,>=0.18.2 # MIT
keystoneauth1>=3.18.0 # Apache-2.0
keystonemiddleware>=4.17.0 # Apache-2.0
lxml!=3.7.0,>=4.5.0 # BSD
netaddr>=0.7.18 # BSD
neutron-lib>=1.14.0  # Apache-2.0
openstacksdk>=0.11.2 # Apache-2.0
oslo.cache>=1.26.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.db>=6.0.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.policy>=1.30.0 # Apache-2.0
oslo.reports>=1.18.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.upgradecheck>=0.1.0 # Apache-2.0
oslo.utils>=3.37.0 # Apache-2.0
osprofiler>=1.4.0 # Apache-2.0
oslo.versionedobjects>=1.31.2 # Apache-2.0
PasteDeploy>=1.5.0 # MIT
aodhclient>=0.9.0 # Apache-2.0
python-barbicanclient>=4.5.2 # Apache-2.0
python-blazarclient>=1.0.1 # Apache-2.0
python-cinderclient>=3.3.0 # Apache-2.0
python-designateclient>=2.7.0 # Apache-2.0
python-glanceclient>=2.8.0 # Apache-2.0
python-heatclient>=1.10.0 # Apache-2.0
python-ironicclient>=2.8.0  # Apache-2.0
python-keystoneclient>=3.8.0 # Apache-2.0
python-magnumclient>=2.3.0 # Apache-2.0
python-manilaclient>=1.16.0 # Apache-2.0
python-mistralclient!=3.2.0,>=3.1.0 # Apache-2.0
python-monascaclient>=1.12.0 # Apache-2.0
python-neutronclient>=6.14.0 # Apache-2.0
python-novaclient>=9.1.0 # Apache-2.0
python-octaviaclient>=1.8.0 # Apache-2.0
python-openstackclient>=3.12.0 # Apache-2.0
python-saharaclient>=1.4.0 # Apache-2.0
python-swiftclient>=3.2.0 # Apache-2.0
python-troveclient>=2.2.0 # Apache-2.0
python-vitrageclient>=2.7.0 # Apache-2.0
python-zaqarclient>=1.3.0 # Apache-2.0
python-zunclient>=3.4.0 # Apache-2.0
pytz>=2013.6 # MIT
PyYAML>=3.13 # MIT
requests>=2.14.2 # Apache-2.0
tenacity>=6.1.0 # Apache-2.0
Routes>=2.3.1 # MIT
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
sqlalchemy-migrate>=0.13.0 # Apache-2.0
stevedore>=3.1.0 # Apache-2.0
WebOb>=1.7.1 # MIT
yaql>=1.1.3 # Apache 2.0 License

=== debian/changelog ===
heat (1:15.0.0-4) unstable; urgency=medium

  * Blacklist a number of non-deterministic tests (Closes: #976946):
    - StackDeleteTest.test_stack_delete
    - StackDeleteTest.test_stack_delete_acquired_lock
    - StackDeleteTest.test_stack_delete_acquired_lock_stop_timers
    - SnapshotServiceTest.test_restore_snapshot
  * Blacklist failing SQLA tests:
    - DBAPIResourceUpdateTest.test_locked_resource_update_by_other_engine
    - DBAPIResourceUpdateTest.test_locked_resource_update_by_same_engine
    - DBAPIResourceUpdateTest.test_release_resource_lock
    - DBAPIResourceUpdateTest.test_steal_resource_lock
    - DBAPIResourceUpdateTest.test_unlocked_resource_update

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Jan 2021 09:00:04 +0100

heat (1:15.0.0-3) unstable; urgency=medium

  * Fix missing policy.json in postinst

 -- Michal Arbet <michal.arbet@ultimum.io>  Sun, 20 Dec 2020 10:17:36 +0100

heat (1:15.0.0-2) unstable; urgency=medium

  * Use a yaml policy file in /etc/heat/policy.d.

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Dec 2020 13:42:06 +0100

heat (1:15.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Sat, 17 Oct 2020 16:19:52 +0200

heat (1:15.0.0~rc1-1) experimental; urgency=medium

  * Use a single heat-common.logrotate instead of per-package file.
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed Add-a-healthcheck-url.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Wed, 23 Sep 2020 16:26:28 +0200

heat (1:14.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 May 2020 18:11:39 +0200

heat (1:14.0.0~rc1-2) unstable; urgency=medium

  * Add Add-a-healthcheck-url.patch.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 10 May 2020 01:52:16 +0200

heat (1:14.0.0~rc1-1) experimental; urgency=medium

  * Ran debconf-updatepo (some translations was missing in .pot).
  * Updated de.po debconf translations (Closes: #947169).
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Apr 2020 22:22:43 +0200

=== debian/control ===
Source: heat
Section: web
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 99~),
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 bandit,
 python3-aodhclient,
 python3-babel,
 python3-barbicanclient,
 python3-blazarclient,
 python3-cinderclient,
 python3-coverage,
 python3-croniter,
 python3-cryptography,
 python3-debtcollector,
 python3-designateclient,
 python3-eventlet,
 python3-fixtures,
 python3-glanceclient,
 python3-ironicclient,
 python3-hacking,
 python3-heatclient,
 python3-keystoneauth1 (>= 3.18.0),
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-kombu (>= 5.0.1),
 python3-lxml (>= 4.5.0),
 python3-magnumclient,
 python3-manilaclient,
 python3-migrate (>= 0.13.0),
 python3-mistralclient,
 python3-monascaclient,
 python3-mysqldb,
 python3-netaddr,
 python3-neutron-lib,
 python3-neutronclient (>= 1:6.14.0),
 python3-novaclient,
 python3-octaviaclient (>= 1.8.0),
 python3-openstackclient,
 python3-openstackdocstheme,
 python3-openstacksdk,
 python3-os-api-ref,
 python3-oslo.cache,
 python3-oslo.concurrency,
 python3-oslo.config (>= 8.0.2),
 python3-oslo.context,
 python3-oslo.db (>= 6.0.0),
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.reports,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils (>= 3.40.3),
 python3-oslo.versionedobjects,
 python3-oslotest,
 python3-osprofiler,
 python3-pastedeploy,
 python3-psycopg2 (>= 2.8),
 python3-pygments,
 python3-pymysql,
 python3-requests,
 python3-routes,
 python3-saharaclient,
 python3-senlinclient,
 python3-sphinxcontrib.apidoc,
 python3-sphinxcontrib.httpdomain,
 python3-sqlalchemy,
 python3-stestr,
 python3-stevedore (>= 3.1.0),
 python3-swiftclient,
 python3-tempest,
 python3-tenacity (>= 6.1.0),
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 python3-troveclient,
 python3-tz,
 python3-vitrageclient (>= 2.7.0),
 python3-webob,
 python3-yaml,
 python3-yaql,
 python3-zaqarclient,
 python3-zunclient (>= 3.4.0),
 subunit,
 tempest,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/heat
Vcs-Git: https://salsa.debian.org/openstack-team/services/heat.git
Homepage: http://wiki.openstack.org/Heat

Package: heat-api
Architecture: all
Depends:
 adduser,
 heat-common (=${binary:Version}),
 python3-pastescript,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack orchestration service - API server
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the ReST API.

Package: heat-api-cfn
Architecture: all
Depends:
 adduser,
 heat-common (=${binary:Version}),
 python3-pastescript,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack orchestration service - CFN API
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the CloudFormation (CFN) API.

Package: heat-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 python3-heat (=${binary:Version}),
 q-text-as-data,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack orchestration service - common files
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the common files.

Package: heat-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack orchestration service - Documentation
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the documentation.

Package: heat-engine
Architecture: all
Depends:
 adduser,
 heat-common (=${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack orchestration service - engine
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the heat engine, which is the core service of heat, and
 which the API servers will use.

Package: python3-heat
Section: python
Architecture: all
Depends:
 python3-aodhclient,
 python3-babel,
 python3-barbicanclient,
 python3-blazarclient,
 python3-cinderclient,
 python3-croniter,
 python3-cryptography,
 python3-debtcollector,
 python3-designateclient,
 python3-eventlet,
 python3-glanceclient,
 python3-greenlet,
 python3-heatclient,
 python3-keystoneauth1 (>= 3.18.0),
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-ironicclient,
 python3-lxml (>= 4.5.0),
 python3-magnumclient,
 python3-manilaclient,
 python3-memcache,
 python3-migrate (>= 0.13.0),
 python3-mistralclient,
 python3-monascaclient,
 python3-mysqldb,
 python3-netaddr,
 python3-neutron-lib,
 python3-neutronclient (>= 1:6.14.0),
 python3-novaclient,
 python3-octaviaclient (>= 1.8.0),
 python3-openstackclient,
 python3-openstacksdk,
 python3-oslo.cache,
 python3-oslo.concurrency,
 python3-oslo.config (>= 8.0.2),
 python3-oslo.context,
 python3-oslo.db (>= 6.0.0),
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.reports,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils (>= 3.40.3),
 python3-oslo.versionedobjects,
 python3-osprofiler,
 python3-pastedeploy,
 python3-pbr,
 python3-psycopg2,
 python3-pymysql,
 python3-requests,
 python3-routes,
 python3-saharaclient,
 python3-senlinclient,
 python3-sqlalchemy,
 python3-stevedore (>= 3.1.0),
 python3-swiftclient,
 python3-tenacity (>= 6.1.0),
 python3-troveclient,
 python3-tz,
 python3-vitrageclient (>= 2.7.0),
 python3-webob,
 python3-yaml,
 python3-yaql,
 python3-zaqarclient,
 python3-zunclient (>= 3.4.0),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack orchestration service - Python files
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the Python libraries.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc,systemd

override_dh_clean:
	dh_clean
	rm -rf heat.egg-info .testrepository
	rm -rf doc/build
	find . -iname '*.pyc' -delete
	rm -f run_tests.err.log
	rm -f \
		debian/heat-common.postinst \
		debian/heat-common.config
	rm -f debian/*.init debian/*.service debian/*.upstart debian/*.templates
	rm -f debian/heat-common.postinst debian/heat-common.config debian/heat-api.config debian/heat-api.postinst debian/heat-api-cfn.config debian/heat-api-cfn.postinst debian/heat-common.postrm

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func heat-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func heat-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func heat-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func heat-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func heat-api-cfn.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func heat-api-cfn.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm heat-common.postrm
	pkgos-merge-templates heat-api heat endpoint
	pkgos-merge-templates heat-api-cfn heat-api-cfn endpoint
	pkgos-merge-templates heat-common heat db rabbit ksat

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'heat\.tests\.(?!db\.test_migrations\.TestHeatMigrationsSQLite\.test_walk_versions|db\.test_migrations\.ModelsMigrationsSyncSQLite\.test_models_sync|engine\.service\.test_stack_delete\.StackDeleteTest\.test_stack_delete|engine\.service\.test_stack_delete\.StackDeleteTest\.test_stack_delete_acquired_lock|engine\.service\.test_stack_delete\.StackDeleteTest\.test_stack_delete_acquired_lock_stop_timers|engine\.service\.test_stack_snapshot\.SnapshotServiceTest\.test_restore_snapshot|db\.test_sqlalchemy_api\.DBAPIResourceUpdateTest\.test_locked_resource_update_by_other_engine|db\.test_sqlalchemy_api\.DBAPIResourceUpdateTest\.test_locked_resource_update_by_same_engine|db\.test_sqlalchemy_api\.DBAPIResourceUpdateTest\.test_release_resource_lock|db\.test_sqlalchemy_api\.DBAPIResourceUpdateTest\.test_steal_resource_lock|db\.test_sqlalchemy_api\.DBAPIResourceUpdateTest\.test_unlocked_resource_update).*'
endif

	rm -rf $(CURDIR)/debian/tmp/usr/etc
	mkdir -p $(CURDIR)/debian/heat-common/usr/share/heat-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--namespace heat.common.config \
		--namespace heat.common.context \
		--namespace heat.common.crypt \
		--namespace heat.engine.clients.os.keystone.heat_keystoneclient \
		--namespace heat.common.wsgi \
		--namespace heat.engine.clients \
		--namespace heat.engine.notification \
		--namespace heat.engine.resources \
		--namespace heat.api.aws.ec2token \
		--namespace keystonemiddleware.auth_token \
		--namespace oslo.messaging \
		--namespace oslo.middleware \
		--namespace oslo.db \
		--namespace oslo.log \
		--namespace oslo.policy \
		--namespace oslo.service.service \
		--namespace oslo.service.periodic_task \
		--namespace oslo.service.sslutil \
		--wrap-width 140 \
		--output-file $(CURDIR)/debian/heat-common/usr/share/heat-common/heat.conf
	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/heat-common/usr/share/heat-common/heat.conf keystone_authtoken heat

	mkdir -p $(CURDIR)/debian/heat-common/etc/heat/policy.d
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output $(CURDIR)/debian/heat-common/etc/heat/policy.d/00_default_policy.yaml \
		--format yaml \
		--namespace heat

	# Use the policy.d folder
	pkgos-fix-config-default $(CURDIR)/debian/heat-common/usr/share/heat-common/heat.conf oslo_policy policy_dirs /etc/heat/policy.d

	sed -i 's|^[# \t]*connection[\t #]*=.*|connection=sqlite:////var/lib/heat/heatdb|' $(CURDIR)/debian/heat-common/usr/share/heat-common/heat.conf
	# Fixup a few default for the [trustee] config
	pkgos-fix-config-default $(CURDIR)/debian/heat-common/usr/share/heat-common/heat.conf trustee auth_type password
	pkgos-fix-config-default $(CURDIR)/debian/heat-common/usr/share/heat-common/heat.conf trustee user_domain_name default

	dh_install
	dh_missing -Xbin/cinder-keystone-setup --fail-missing

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/heat-doc/usr/share/doc/heat-doc/html
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3
#	sed -i 's|usr/bin/env python|usr/bin/env python3|' $(CURDIR)/debian/python3-heat/usr/lib/python3/dist-packages/heat_integrationtests/install-requirements

## heat 15.1.0

=== debian/changelog ===
heat (1:15.1.0-0ubuntu1~cloud1) focal-victoria; urgency=medium

  [ Ponnuvel Palaniyappan ]
  * d/p/lp2019175.patch: Fix None comparision when sorting
    by `updated_at` (LP: #2019175)

  [ Corey Bryant ]
  * d/p/lp2019175.patch: Updated patch from upstream stable/victoria branch.

 -- Ponnuvel Palaniyappan <pponnuvel@gmail.com>  Mon, 15 May 2023 17:55:21 +0100

heat (1:15.1.0-0ubuntu1~cloud0) focal-victoria; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/victoria branch.

  [ Felipe Reyes ]
  * d/watch: d/watch: Scope to 15.x series.
  * New stable point release for OpenStack Victoria (LP: #1962772).

 -- Felipe Reyes <felipe.reyes@canonical.com>  Wed, 02 Mar 2022 16:20:32 -0300

heat (1:15.0.0-0ubuntu1~cloud0) focal-victoria; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 16 Oct 2020 15:46:13 +0000

heat (1:15.0.0-0ubuntu1) groovy; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * d/watch: Track 15.x series.
  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 15 Oct 2020 11:13:41 +0000

heat (1:15.0.0~b3~git2020091012.c54518d60-0ubuntu3) UNRELEASED; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 08 Oct 2020 13:07:53 +0000

heat (1:15.0.0~b3~git2020091012.c54518d60-0ubuntu2) groovy; urgency=medium

  * d/t/heat-daemons: Fix incorrect tail option in error log display

 -- Bryce Harrington <bryce@canonical.com>  Fri, 25 Sep 2020 19:43:13 +0000

heat (1:15.0.0~b3~git2020091012.c54518d60-0ubuntu1) groovy; urgency=medium

  * d/control: Remove Breaks/Replaces that are older than Focal (LP: #1878419).
  * New upstream snapshot for OpenStack Victoria.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 10 Sep 2020 12:07:54 +0000

heat (1:15.0.0~b2~git2020073013.65de8cb43-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 30 Jul 2020 13:17:06 +0000

heat (1:15.0.0~b1~git2020062912.8353fddf9-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/monkey-patch-original-current-thread.patch: Removed. Change landed
    upstream.
  * d/control: Update Standards-Version to 4.5.0.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Mon, 29 Jun 2020 12:17:47 +0000

heat (1:14.0.0-0ubuntu1) groovy; urgency=medium

  * d/watch: Scope to 14.x series and get tarballs from opendev.org.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/monkey-patch-original-current-thread.patch: Cherry-picked
    from upstream review (https://review.opendev.org/#/c/727181/)
    to fix Python 3.8 monkey patching (LP: #1863021).
  * New upstream release for OpenStack Ussuri (LP: #1877642).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 May 2020 16:51:44 -0400

=== debian/control ===
Source: heat
Section: web
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Loic Dachary (OuoU) <loic@debian.org>,
 Julien Danjou <acid@debian.org>,
 Thomas Goirand <zigo@debian.org>,
 Ghe Rivero <ghe.rivero@stackops.com>,
 Mehdi Abaakouk <sileht@sileht.net>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools (>= 85ubuntu3~),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 bandit,
 python3-aodhclient (>= 0.9.0),
 python3-babel (>= 2.3.4),
 python3-bandit (>= 1.1.0),
 python3-barbicanclient (>= 4.5.2),
 python3-blazarclient (>= 1.0.1),
 python3-cinderclient (>= 1:3.3.0),
 python3-coverage (>= 4.0),
 python3-croniter (>= 0.3.4),
 python3-cryptography (>= 2.1),
 python3-debtcollector (>= 1.19.0),
 python3-designateclient (>= 2.7.0),
 python3-doc8 (>= 0.6.0),
 python3-eventlet (>= 0.18.2),
 python3-fixtures (>= 3.0.0),
 python3-gabbi (>= 1.35.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-gnocchiclient (>= 3.3.1),
 python3-greenlet (>= 0.4.10),
 python3-hacking (>= 1.1.0),
 python3-heatclient (>= 1.10.0),
 python3-ironicclient (>= 2.8.0),
 python3-keystoneauth1 (>= 3.18.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-kombu (>= 4.6.11),
 python3-lxml (>= 4.5.0),
 python3-magnumclient (>= 2.3.0),
 python3-manilaclient (>= 1.16.0),
 python3-migrate (>= 0.13.0),
 python3-mistralclient (>= 1:3.1.0),
 python3-mock (>= 2.0.0),
 python3-monascaclient (>= 1.12.0),
 python3-mox3 (>= 0.20.0),
 python3-netaddr (>= 0.7.18),
 python3-neutron-lib (>= 1.14.0),
 python3-neutronclient (>= 1:6.14.0),
 python3-novaclient (>= 2:9.1.0),
 python3-octaviaclient (>= 1.8.0),
 python3-openstackclient (>= 3.12.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-openstacksdk (>= 0.11.2),
 python3-os-api-ref (>= 1.4.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.cache (>= 1.26.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 6.0.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.upgradecheck (>= 0.1.0),
 python3-oslo.utils (>= 3.37.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.4.0),
 python3-paramiko (>= 2.0),
 python3-pastedeploy (>= 1.5.0),
 python3-psycopg2 (>= 2.8),
 python3-pygments (>= 2.2.0),
 python3-pymysql (>= 0.8.0),
 python3-pymysql (>= 0.8.0),
 python3-reno (>= 2.11.2),
 python3-requests (>= 2.14.2),
 python3-routes (>= 2.3.1),
 python3-saharaclient (>= 1.4.0),
 python3-senlinclient (>= 1.1.0),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-sphinxcontrib.httpdomain (>= 1.3.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:3.1.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-tempest (>= 1:17.1.0),
 python3-tenacity (>= 6.1.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-troveclient (>= 1:2.2.0),
 python3-tz (>= 2013.6),
 python3-vitrageclient (>= 2.7.0),
 python3-webob (>= 1:1.7.1),
 python3-yaml (>= 3.13),
 python3-yaql (>= 1.1.3),
 python3-zaqarclient (>= 1.3.0),
 python3-zunclient (>= 3.4.0),
 subunit,
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/heat
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/heat
Homepage: https://wiki.openstack.org/Heat
Testsuite: autopkgtest-pkg-python

Package: heat-api
Architecture: all
Depends:
 adduser,
 python3-heat (=${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack orchestration service - ReST API
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the ReST API.

Package: heat-api-cfn
Architecture: all
Depends:
 adduser,
 python3-heat (=${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack orchestration service - CFN API
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the CloudFormation (CFN) API.

Package: heat-engine
Architecture: all
Depends:
 adduser,
 python3-heat (=${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack orchestration service - engine
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the heat engine, which is the core service of heat, and
 which the API servers will use.

Package: python3-heat
Section: python
Architecture: all
Depends:
 heat-common (=${binary:Version}),
 python3-aodhclient (>= 0.9.0),
 python3-babel (>= 2.3.4),
 python3-barbicanclient (>= 4.5.2),
 python3-blazarclient (>= 1.0.1),
 python3-cinderclient (>= 1:3.3.0),
 python3-croniter (>= 0.3.4),
 python3-cryptography (>= 2.1),
 python3-debtcollector (>= 1.19.0),
 python3-designateclient (>= 2.7.0),
 python3-eventlet (>= 0.18.2),
 python3-fixtures (>= 3.0.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-gnocchiclient (>= 3.3.1),
 python3-greenlet (>= 0.4.10),
 python3-heatclient (>= 1.10.0),
 python3-ironicclient (>= 2.8.0),
 python3-keystoneauth1 (>= 3.18.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-lxml (>= 4.5.0),
 python3-magnumclient (>= 2.3.0),
 python3-manilaclient (>= 1.16.0),
 python3-migrate (>= 0.13.0),
 python3-mistralclient (>= 1:3.1.0),
 python3-monascaclient (>= 1.12.0),
 python3-netaddr (>= 0.7.18),
 python3-neutron-lib (>= 1.14.0),
 python3-neutronclient (>= 1:6.14.0),
 python3-novaclient (>= 2:9.1.0),
 python3-octaviaclient (>= 1.8.0),
 python3-openstackclient (>= 3.12.0),
 python3-openstacksdk (>= 0.11.2),
 python3-oslo.cache (>= 1.26.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 6.0.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.upgradecheck (>= 0.1.0),
 python3-oslo.utils (>= 3.37.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-osprofiler (>= 1.4.0),
 python3-pastedeploy (>= 1.5.0),
 python3-pbr (>= 2.0.0),
 python3-pymysql,
 python3-requests (>= 2.14.2),
 python3-routes (>= 2.3.1),
 python3-saharaclient (>= 1.4.0),
 python3-senlinclient (>= 0.3.0),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-stevedore (>= 1:3.1.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-tenacity (>= 6.1.0),
 python3-troveclient (>= 1:2.2.0),
 python3-tz (>= 2013.6),
 python3-webob (>= 1:1.7.1),
 python3-yaml (>= 3.13),
 python3-yaql (>= 1.1.3),
 python3-zaqarclient (>= 1.3.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-vitrageclient (>= 2.7.0),
 python3-zunclient (>= 3.4.0),
Description: OpenStack orchestration service - Python 3 files
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the Python 3 libraries.

Package: heat-common
Architecture: all
Depends:
 adduser,
 ${misc:Depends},
Description: OpenStack orchestration service - common files
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the common files.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/heat/ openstack-heat-(15\.\d.*)\.tar\.gz

## heat 16.0.0

=== debian/changelog ===
heat (1:16.0.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Apr 2021 15:03:03 -0400

heat (1:16.0.0~rc1-0ubuntu1) hirsute; urgency=medium

  * d/watch: Scope to 16.x series
  * New upstream release candidate for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 29 Mar 2021 13:38:35 +0000

heat (1:15.0.0+git2021012507.32f901420-0ubuntu1) hirsute; urgency=medium

  [ Corey Bryant ]
  * d/rules: Override Python 3 shebang.

  [ Chris MacNaughton ]
  * New upstream snapshot for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 25 Jan 2021 08:05:07 +0000

heat (1:15.0.0+git2020120911.4370af157-0ubuntu1) hirsute; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Corey Bryant ]
  * New upstream snapshot for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 09 Dec 2020 11:57:44 -0500

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  dh-python,
  openstack-pkg-tools (>= 85ubuntu3~),
  python3-all,
- python3-pbr (>= 2.0.0),
+ python3-pbr (>= 3.1.1),
  python3-setuptools,
  python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
@@ -25,26 +25,28 @@
  python3-bandit (>= 1.1.0),
  python3-barbicanclient (>= 4.5.2),
  python3-blazarclient (>= 1.0.1),
+ python3-ceilometerclient (>= 2.5.0),
  python3-cinderclient (>= 1:3.3.0),
  python3-coverage (>= 4.0),
  python3-croniter (>= 0.3.4),
- python3-cryptography (>= 2.1),
+ python3-cryptography (>= 2.5),
+ python3-ddt (>= 1.4.1),
  python3-debtcollector (>= 1.19.0),
  python3-designateclient (>= 2.7.0),
- python3-doc8 (>= 0.6.0),
+ python3-doc8 (>= 0.8.0),
  python3-eventlet (>= 0.18.2),
  python3-fixtures (>= 3.0.0),
  python3-gabbi (>= 1.35.0),
  python3-glanceclient (>= 1:2.8.0),
  python3-gnocchiclient (>= 3.3.1),
  python3-greenlet (>= 0.4.10),
- python3-hacking (>= 1.1.0),
+ python3-hacking,
  python3-heatclient (>= 1.10.0),
  python3-ironicclient (>= 2.8.0),
  python3-keystoneauth1 (>= 3.18.0),
  python3-keystoneclient (>= 1:3.8.0),
- python3-keystonemiddleware (>= 4.17.0),
- python3-kombu (>= 4.6.11),
+ python3-keystonemiddleware (>= 5.1.0),
+ python3-kombu (>= 5.0.1),
  python3-lxml (>= 4.5.0),
  python3-magnumclient (>= 2.3.0),
  python3-manilaclient (>= 1.16.0),
@@ -65,29 +67,27 @@
  python3-os-testr (>= 1.0.0),
  python3-oslo.cache (>= 1.26.0),
  python3-oslo.concurrency (>= 3.26.0),
- python3-oslo.config (>= 1:5.2.0),
- python3-oslo.context (>= 1:2.19.2),
+ python3-oslo.config (>= 1:6.0.0),
+ python3-oslo.context (>= 1:2.22.0),
  python3-oslo.db (>= 6.0.0),
- python3-oslo.i18n (>= 3.15.3),
- python3-oslo.log (>= 3.36.0),
+ python3-oslo.i18n (>= 3.20.0),
+ python3-oslo.log (>= 4.3.0),
  python3-oslo.messaging (>= 5.29.0),
  python3-oslo.middleware (>= 3.31.0),
- python3-oslo.policy (>= 1.30.0),
+ python3-oslo.policy (>= 3.7.0),
  python3-oslo.reports (>= 1.18.0),
- python3-oslo.serialization (>= 2.18.0),
+ python3-oslo.serialization (>= 2.25.0),
  python3-oslo.service (>= 1.24.0),
  python3-oslo.upgradecheck (>= 0.1.0),
- python3-oslo.utils (>= 3.37.0),
+ python3-oslo.utils (>= 3.40.0),
  python3-oslo.versionedobjects (>= 1.31.2),
  python3-oslotest (>= 1:3.2.0),
  python3-osprofiler (>= 1.4.0),
  python3-paramiko (>= 2.0),
  python3-pastedeploy (>= 1.5.0),
- python3-psycopg2 (>= 2.8),
+ python3-psycopg2 (>= 2.7),
  python3-pygments (>= 2.2.0),
  python3-pymysql (>= 0.8.0),
- python3-pymysql (>= 0.8.0),
- python3-reno (>= 2.11.2),
  python3-requests (>= 2.14.2),
  python3-routes (>= 2.3.1),
  python3-saharaclient (>= 1.4.0),
@@ -108,7 +108,7 @@
  python3-tz (>= 2013.6),
  python3-vitrageclient (>= 2.7.0),
  python3-webob (>= 1:1.7.1),
- python3-yaml (>= 3.13),
+ python3-yaml (>= 5.1),
  python3-yaql (>= 1.1.3),
  python3-zaqarclient (>= 1.3.0),
  python3-zunclient (>= 3.4.0),
@@ -171,9 +171,10 @@
  python3-babel (>= 2.3.4),
  python3-barbicanclient (>= 4.5.2),
  python3-blazarclient (>= 1.0.1),
+ python3-ceilometerclient (>= 2.5.0),
  python3-cinderclient (>= 1:3.3.0),
  python3-croniter (>= 0.3.4),
- python3-cryptography (>= 2.1),
+ python3-cryptography (>= 2.5),
  python3-debtcollector (>= 1.19.0),
  python3-designateclient (>= 2.7.0),
  python3-eventlet (>= 0.18.2),
@@ -185,7 +186,7 @@
  python3-ironicclient (>= 2.8.0),
  python3-keystoneauth1 (>= 3.18.0),
  python3-keystoneclient (>= 1:3.8.0),
- python3-keystonemiddleware (>= 4.17.0),
+ python3-keystonemiddleware (>= 5.1.0),
  python3-lxml (>= 4.5.0),
  python3-magnumclient (>= 2.3.0),
  python3-manilaclient (>= 1.16.0),
@@ -201,23 +202,23 @@
  python3-openstacksdk (>= 0.11.2),
  python3-oslo.cache (>= 1.26.0),
  python3-oslo.concurrency (>= 3.26.0),
- python3-oslo.config (>= 1:5.2.0),
- python3-oslo.context (>= 1:2.19.2),
+ python3-oslo.config (>= 1:6.0.0),
+ python3-oslo.context (>= 1:2.22.0),
  python3-oslo.db (>= 6.0.0),
- python3-oslo.i18n (>= 3.15.3),
- python3-oslo.log (>= 3.36.0),
+ python3-oslo.i18n (>= 3.20.0),
+ python3-oslo.log (>= 4.3.0),
  python3-oslo.messaging (>= 5.29.0),
  python3-oslo.middleware (>= 3.31.0),
- python3-oslo.policy (>= 1.30.0),
+ python3-oslo.policy (>= 3.7.0),
  python3-oslo.reports (>= 1.18.0),
- python3-oslo.serialization (>= 2.18.0),
+ python3-oslo.serialization (>= 2.25.0),
  python3-oslo.service (>= 1.24.0),
  python3-oslo.upgradecheck (>= 0.1.0),
- python3-oslo.utils (>= 3.37.0),
+ python3-oslo.utils (>= 3.40.0),
  python3-oslo.versionedobjects (>= 1.31.2),
  python3-osprofiler (>= 1.4.0),
  python3-pastedeploy (>= 1.5.0),
- python3-pbr (>= 2.0.0),
+ python3-pbr (>= 3.1.1),
  python3-pymysql,
  python3-requests (>= 2.14.2),
  python3-routes (>= 2.3.1),
@@ -231,7 +232,7 @@
  python3-troveclient (>= 1:2.2.0),
  python3-tz (>= 2013.6),
  python3-webob (>= 1:1.7.1),
- python3-yaml (>= 3.13),
+ python3-yaml (>= 5.1),
  python3-yaql (>= 1.1.3),
  python3-zaqarclient (>= 1.3.0),
  ${misc:Depends},

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/heat/ openstack-heat-(16\.\d.*)\.tar\.gz

## heat 16.1.0

=== debian/changelog ===
heat (1:16.1.0-2~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * OSSA-2025-002: kay reported a vulnerability in Keystone’s ec2tokens and
    s3tokens APIs. By sending those endpoints a valid AWS Signature (e.g., from
    a presigned S3 URL), an unauthenticated attacker may obtain Keystone
    authorization (ec2tokens can yield a fully scoped token; s3tokens can
    reveal scope accepted by some services), resulting in unauthorized access
    and privilege escalation. Deployments where /v3/ec2tokens or /v3/s3tokens
    are reachable by unauthenticated clients (e.g., exposed on a public API)
    are affected.
    The heat part that is using the S3 API needs to be modified to accept the
    fix for Keystone, otherwise S3 authentication will stop working.
    Applied upstream patch (Closes: #1120059):
    Keystone_requires_authentication_when_using_the__v3_ec3token_endpoint.patch

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-wallaby.debian.net>  Tue, 04 Nov 2025 16:33:06 +0000

heat (1:16.1.0-1) UNRELEASED; urgency=medium

  * New upstream point release.
  * Removed Fix_None_comparision_when_sorting_by_updated_at.patch applied
    upstream.

 -- Thomas Goirand <zigo@debian.org>  Mon, 28 Jul 2025 10:18:42 +0200

heat (1:16.0.0-3) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Add add-heat_api_root-configuration-variable.patch.
  * Add fix-octavia-pool-update.patch.
  * CVE-2023-1625: information leak in API: apply upstream patch
    Honor 'hidden' parameter in 'stack environment show' command
    (Closes: #1034186)

  [ Simeon Gourlin ]
  * Add Fix_None_comparision_when_sorting_by_updated_at.patch

 -- Simeon Gourlin <simeon.gourlin@infomaniak.com>  Thu, 19 Sep 2024 17:03:04 +0200

heat (1:16.0.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 12:48:43 +0200

heat (1:16.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Apr 2021 23:03:29 +0200

heat (1:16.0.0~rc1-1) experimental; urgency=medium

  * Tune heat-api-{,cfn-}uwsgi.ini for performance.
  * New upstream release.
  * Removed (build-)depends versions when satisfied in Bullseye.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 27 Mar 2021 21:44:55 +0100

=== debian/control ===
Source: heat
Section: web
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 bandit,
 python3-aodhclient,
 python3-babel,
 python3-barbicanclient,
 python3-blazarclient,
 python3-ceilometerclient,
 python3-cinderclient,
 python3-coverage,
 python3-croniter,
 python3-cryptography,
 python3-ddt,
 python3-debtcollector,
 python3-designateclient,
 python3-eventlet,
 python3-fixtures,
 python3-glanceclient,
 python3-ironicclient,
 python3-hacking,
 python3-heatclient,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-kombu,
 python3-lxml,
 python3-magnumclient,
 python3-manilaclient,
 python3-migrate,
 python3-mistralclient,
 python3-monascaclient,
 python3-mysqldb,
 python3-netaddr,
 python3-neutron-lib,
 python3-neutronclient,
 python3-novaclient,
 python3-octaviaclient,
 python3-openstackclient,
 python3-openstackdocstheme,
 python3-openstacksdk,
 python3-os-api-ref,
 python3-oslo.cache,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy (>= 3.7.0),
 python3-oslo.reports,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-oslotest,
 python3-osprofiler,
 python3-pastedeploy,
 python3-psycopg2,
 python3-pygments,
 python3-pymysql,
 python3-requests,
 python3-routes,
 python3-saharaclient,
 python3-senlinclient,
 python3-sphinxcontrib.apidoc,
 python3-sphinxcontrib.httpdomain,
 python3-sqlalchemy,
 python3-stestr,
 python3-stevedore,
 python3-swiftclient,
 python3-tempest,
 python3-tenacity,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 python3-troveclient,
 python3-tz,
 python3-vitrageclient,
 python3-webob,
 python3-yaml,
 python3-yaql,
 python3-zaqarclient,
 python3-zunclient,
 subunit,
 tempest,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/heat
Vcs-Git: https://salsa.debian.org/openstack-team/services/heat.git
Homepage: http://wiki.openstack.org/Heat

Package: heat-api
Architecture: all
Depends:
 adduser,
 heat-common (=${binary:Version}),
 python3-pastescript,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack orchestration service - API server
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the ReST API.

Package: heat-api-cfn
Architecture: all
Depends:
 adduser,
 heat-common (=${binary:Version}),
 python3-pastescript,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack orchestration service - CFN API
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the CloudFormation (CFN) API.

Package: heat-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 python3-heat (=${binary:Version}),
 q-text-as-data,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack orchestration service - common files
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the common files.

Package: heat-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack orchestration service - Documentation
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the documentation.

Package: heat-engine
Architecture: all
Depends:
 adduser,
 heat-common (=${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack orchestration service - engine
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the heat engine, which is the core service of heat, and
 which the API servers will use.

Package: python3-heat
Section: python
Architecture: all
Depends:
 python3-aodhclient,
 python3-babel,
 python3-barbicanclient,
 python3-blazarclient,
 python3-ceilometerclient,
 python3-cinderclient,
 python3-croniter,
 python3-cryptography,
 python3-ddt,
 python3-debtcollector,
 python3-designateclient,
 python3-eventlet,
 python3-glanceclient,
 python3-greenlet,
 python3-heatclient,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-ironicclient,
 python3-lxml,
 python3-magnumclient,
 python3-manilaclient,
 python3-memcache,
 python3-migrate,
 python3-mistralclient,
 python3-monascaclient,
 python3-mysqldb,
 python3-netaddr,
 python3-neutron-lib,
 python3-neutronclient,
 python3-novaclient,
 python3-octaviaclient,
 python3-openstackclient,
 python3-openstacksdk,
 python3-oslo.cache,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy (>= 3.7.0),
 python3-oslo.reports,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-osprofiler,
 python3-pastedeploy,
 python3-pbr,
 python3-psycopg2,
 python3-pymysql,
 python3-requests,
 python3-routes,
 python3-saharaclient,
 python3-senlinclient,
 python3-sqlalchemy,
 python3-stevedore,
 python3-swiftclient,
 python3-tenacity,
 python3-troveclient,
 python3-tz,
 python3-vitrageclient,
 python3-webob,
 python3-yaml,
 python3-yaql,
 python3-zaqarclient,
 python3-zunclient,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack orchestration service - Python files
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the Python libraries.

## heat 17.0.0

=== debian/changelog ===
heat (1:17.0.0-0ubuntu1) impish; urgency=medium

  * d/watch: Scope to 17.x.
  * New upstream release for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 06 Oct 2021 15:13:32 +0000

heat (1:16.0.0+git2021090814.b461754e8-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 09 Sep 2021 07:59:55 +0000

heat (1:16.0.0+git2021072116.c72b55bee-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Jul 2021 16:46:00 -0400

heat (1:16.0.0+git2021061112.25db65878-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 11 Jun 2021 12:51:26 +0000
